summarylogtreecommitdiffstats
path: root/jlivertool.sh
diff options
context:
space:
mode:
authorzxp198210052024-01-26 09:37:38 +0800
committerzxp198210052024-01-26 09:37:38 +0800
commit2810526d1a8be1344a49ea781a82d2d4d2838928 (patch)
tree69e8735538cb45d0965368a8e00bb79b80e569f1 /jlivertool.sh
parentbfeb6ef33f5146cf5d575060cfb8162a699bfaba (diff)
downloadaur-2810526d1a8be1344a49ea781a82d2d4d2838928.tar.gz
update to 2.1.0
Diffstat (limited to 'jlivertool.sh')
-rw-r--r--jlivertool.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/jlivertool.sh b/jlivertool.sh
index aacd8f895847..0d20cddc70ca 100644
--- a/jlivertool.sh
+++ b/jlivertool.sh
@@ -8,8 +8,7 @@ export ELECTRON_IS_DEV=0
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_ASAR}" "$@"
+ exec electron@electronversion@ "${_ASAR}" "$@" || exit $?
else
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
-fi
-exit \ No newline at end of file
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file